package de.intevation.flys.artifacts.model.fixings;

import java.util.Date;

import java.io.Serializable;

public class QW
implements   Serializable
{
    protected double  q;
    protected double  w;
    protected String  description;
    protected Date    date;
    protected boolean interpolated;

    public QW() {
    }

    public QW(double q, double w) {
        this.q = q;
        this.w = w;
    }

    public QW(
        double  q,
        double  w,
        String  description,
        Date    date,
        boolean interpolated
    ) {
        this(q, w);
        this.description  = description;
        this.date         = date;
        this.interpolated = interpolated;
    }

    public double getQ() {
        return q;
    }

    public void setQ(double q) {
        this.q = q;
    }

    public double getW() {
        return w;
    }

    public void setW(double w) {
        this.w = w;
    }

    public Date getDate() {
        return date;
    }

    public void setDate(Date date) {
        this.date = date;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public boolean getInterpolated() {
        return interpolated;
    }

    public void setInterpolated(boolean interpolated) {
        this.interpolated = interpolated;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
